%define upstream_name    Alien-TidyHTML5
%define upstream_version v0.3.5

%define debug_package %{nil}
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Alien package for HTML Tidy
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::Base)
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Alien::Build::Plugin::Build::CMake) >= 0.990.0
BuildRequires: perl(Alien::cmake3)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::Alien)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: tidy
BuildRequires: tidy-devel
Requires:   %mklibname tidy 58
%description
Alien::TidyHTML5 - Download and install HTML Tidy

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Wed Jun 22 2022 tv <tv> 0.3.5-1.mga9
+ Revision: 1865466
- update to v0.3.5

* Tue Apr 05 2022 tv <tv> 0.3.4-3.mga9
+ Revision: 1844650
- Fix manual dep on lib64tidy5

* Sat Mar 19 2022 umeabot <umeabot> 0.3.4-2.mga9
+ Revision: 1799885
- Mageia 9 Mass Rebuild

* Tue Sep 14 2021 tv <tv> 0.3.4-1.mga9
+ Revision: 1745429
- update to v0.3.4

* Tue May 25 2021 tv <tv> 0.3.3-1.mga9
+ Revision: 1728038
- update to v0.3.3

* Sat Aug 01 2020 tv <tv> 0.3.2-1.mga8
+ Revision: 1610104
- update to v0.3.2

* Fri Feb 14 2020 umeabot <umeabot> 0.3.1-2.mga8
+ Revision: 1519998
- Mageia 8 Mass Rebuild
+ shlomif <shlomif>
- update to v0.3.1

* Tue Oct 30 2018 shlomif <shlomif> 0.3.0-2.mga7
+ Revision: 1326755
- fix requires

* Tue Oct 30 2018 tv <tv> 0.3.0-1.mga7
+ Revision: 1326620
- update to v0.3.0

* Fri Oct 26 2018 shlomif <shlomif> 0.1.1-2.mga7
+ Revision: 1326098
- fix requires

* Fri Oct 26 2018 tv <tv> 0.1.1-1.mga7
+ Revision: 1325639
- update to v0.1.1

* Thu Sep 20 2018 shlomif <shlomif> 0.1.0-1.mga7
+ Revision: 1277637
- fix reqs
- fix reqs
- based on Alien-GMP

